/* This file is NOT part of KDE ;)
   Copyright (C) 2007 Andreas Hartmetz <ahartmetz@gmail.com>

   This application is free software; you can redistribute it and/or
   modify it under the terms of the GNU Library General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.

   This library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Library General Public License for more details.

   You should have received a copy of the GNU Library General Public License
   along with this library; see the file COPYING.LIB.  If not, write to
   the Free Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
   Boston, MA 02110-1301, USA.
*/

#include <QtGui/QScrollBar>
#include <KCmdLineArgs>
#include <KAboutData>

#include "mixor.h"
#include "kapplicationargb.h"

int main(int argc, char **argv)
{
    KAboutData about("mixor", 0, ki18n("mixor"), "0.1",
                     ki18n("Phonon mixer demo application"),
                     KAboutData::License_GPL, ki18n("Copyright 2007 Andreas"));
    about.addAuthor( ki18n("Andreas Hartmetz"), KLocalizedString(), "ahartmetz@gmail.com" );
    about.addAuthor( ki18n("Matthias Kretz"), KLocalizedString(), "kretz@kde.org" );
    KCmdLineArgs::init(argc, argv, &about);
    KApplicationArgb app;

    Mixor *mainWindow = new Mixor(0);
    mainWindow->show();

    return app.exec();
}
